#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	numpy

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	python modules for numerical operations
Name:		python%{PVER}-%{original_name}
Version:	1.5.0
Release:	1
License:	GNU/LGPL
URL:		http://%{original_name}.scipy.org/
Group:		Development/Libraries
Source0:	%{original_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
BuildRequires:	python%{PVER}-nose
BuildRequires:	lapack
BuildRequires:	fftw-devel
BuildRequires:	glibc-devel
BuildRequires:	gcc-gfortran
Provides:	numpy = %{version}-%{release}
Obsoletes:	numpy <= %{version}-%{release}
Obsoletes:	python25-numpy <= %{version}-%{release}

%description
The fundamental package needed for scientific computing with Python is called NumPy.  This package contains:

* a powerful N-dimensional array object
* sophisticated (broadcasting) functions
* basic linear algebra functions
* basic Fourier transforms
* sophisticated random number capabilities
* tools for integrating Fortran code.

Besides it's obvious scientific uses, NumPy can also be used as an efficient multi-dimensional container of generic data.
Arbitrary data-types can be defined. This allows NumPy to seamlessly and speedily integrate with a wide-variety of databases.
NumPy derives from the old Numeric code base and can be used as a replacement for Numeric.
It also adds the features introduced by Numarray and can also be used to replace Numarray.

%prep
%setup -q -n %{original_name}-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
env FFTW=%{_libdir} BLAS=%{_libdir} LAPACK=%{_libdir} \
    CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -Rf $RPM_BUILD_ROOT

env FFTW=%{_libdir} BLAS=%{_libdir} LAPACK=%{_libdir} \
    CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py install --root=$RPM_BUILD_ROOT

rm -Rf docs-f2py ; mv $RPM_BUILD_ROOT%{python_sitearch}/numpy/f2py/docs docs-f2py
mv -f $RPM_BUILD_ROOT%{python_sitearch}/numpy/f2py/f2py.1 f2py.1
rm -Rf doc ; mv -f $RPM_BUILD_ROOT%{python_sitearch}/numpy/doc .

install -D -p -m 0644 f2py.1 $RPM_BUILD_ROOT%_mandir/man1/f2py.1

pushd $RPM_BUILD_ROOT%_bindir
# symlink for anyone who was using f2py.numpy
ln -s f2py%{PYVER} f2py%{PYVER}.numpy
popd

# Remove doc files. They should in in %doc
rm -f $RPM_BUILD_ROOT%{python_sitearch}/numpy/COMPATIBILITY
rm -f $RPM_BUILD_ROOT%{python_sitearch}/numpy/DEV_README.txt
rm -f $RPM_BUILD_ROOT%{python_sitearch}/numpy/INSTALL.txt
rm -f $RPM_BUILD_ROOT%{python_sitearch}/numpy/LICENSE.txt
rm -f $RPM_BUILD_ROOT%{python_sitearch}/numpy/README.txt
rm -f $RPM_BUILD_ROOT%{python_sitearch}/numpy/THANKS.txt
rm -f $RPM_BUILD_ROOT%{python_sitearch}/numpy/site.cfg.example

rm -f $RPM_BUILD_ROOT%{python_sitearch}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%check
pushd doc
PYTHONPATH="$RPM_BUILD_ROOT%{python_sitearch}" %{__python} -c "import pkg_resources, numpy ; numpy.test()"
popd

%files
%defattr(-,root,root,-)
%doc docs-f2py doc/* LICENSE.txt README.txt THANKS.txt DEV_README.txt COMPATIBILITY site.cfg.example
%_bindir/f2py%{PYVER}
%_bindir/f2py%{PYVER}.numpy
%{python_sitearch}/numpy/*.py*
%{python_sitearch}/numpy/core
%{python_sitearch}/numpy/fft
%{python_sitearch}/numpy/lib
%{python_sitearch}/numpy/linalg
%{python_sitearch}/numpy/ma
%{python_sitearch}/numpy/numarray
%{python_sitearch}/numpy/oldnumeric
%{python_sitearch}/numpy/random
%{python_sitearch}/numpy/testing
%{python_sitearch}/numpy/tests
%{python_sitearch}/numpy/distutils
%{python_sitearch}/numpy/f2py
%{python_sitearch}/numpy/compat
%{python_sitearch}/numpy/matrixlib
%{python_sitearch}/numpy/polynomial
%{python_sitearch}/numpy/tools
%_mandir

%changelog
* Thu Sep 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.5.0-1
- version update
* Thu Jul 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.1-1
- version update
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 1.3.0-2
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 1.3.0-1
- Version Update, build against python25-2.5.4-3
* Sun Jul 13 2008 Christian Wasem <wasem@ccux-linux.de> 1.1.0-1
- Version Update
* Wed Mar 12 2008 Christian Wasem <wasem@ccux-linux.de> 1.0.4-1
- Version Update, tweaked specfile (building and installing)
* Tue Jan 29 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.3.1-2
- rebuild against gcc 4.1.2
* Sun Sep 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3.1-1
- Version update
* Sun Jul 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- Initial Release
